<?php 
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading ftc-section-title-2 ftc-split-threed ftc-split-text' );

    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
?>
<div class="ftc-about-3-area pt-130 pb-130">
    <div class="container ftc-container-3">
        <div class="ftc-about-3-row">
            <!-- left -->
            <div class="ftc-about-3-left">
                <?php if(!empty($settings['img_1']['url'])):?>
                    <div class="ftc-about-3-img img-cover fix mb-40  ftc-fade-down">
                        <img src="<?php echo esc_url($settings['img_1']['url']);?>" alt="<?php if(!empty($settings['img_1']['alt'])){ echo esc_attr($settings['img_1']['alt']);}?>">
                    </div>
                <?php endif;?>
                <?php if($settings['feature_show'] === 'yes'):?>
                <div class="ftc-about-3-feature-wrap d-flex ">

                    <?php foreach($settings['features'] as $item):?>
                        <div class="ftc-about-3-feature">
                            <div class="icon d-inline-flex align-items-center justify-content-center mb-20">
                                <?php if ($item['type'] === 'image' && ($item['icon_img']['url'])) :?>
                                    <img src="<?php echo esc_url($item['icon_img']['url']);?>" alt="<?php if(!empty($item['icon_img']['alt'])){ echo esc_attr($item['icon_img']['alt']);}else{esc_attr_e('List', 'ftech-plugin');}?>">
                                <?php else:?>
                                    <?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                <?php endif;?>
                            </div>
                            <h4 class="title ftc-heading-2 ftc-font-600 wow" data-splitting><?php echo ftech_wp_kses($item['title']);?></h4>
                            <p class="ftc-para-2 disc"><?php echo ftech_wp_kses($item['desc']);?></p>
                        </div>
                    <?php endforeach;?>
                     
                </div>
                <?php endif;?>
            </div>
            <div class="ftc-about-3-right">
                <div class="ftc-about-3-content mb-25">
                    <div class="left">
                        <div class="ftc-about-3-scn-title mb-50">
                            <?php if($settings['sub_title_show'] === 'yes'):?>
                            <h6 class="ftc-subtitle-2"><span class="line"></span> <span><?php echo ftech_wp_kses($settings['subtitle']);?></span></h6>
                            <?php endif;?>
                            <?php printf('<%1$s %2$s>%3$s</%1$s>',
                                tag_escape($settings['title_tag']),
                                $this->get_render_attribute_string('title'),
                                $settings['title']
                            ); ?>
                            <?php if($settings['desc_show'] === 'yes'):?>
                                <div class="elementor-gt-desc ftc-para-2 wow fadeInUp" data-wow-duration="2s">
                                    <?php echo wpautop($settings['description']);?>
                                </div>
                            <?php endif;?>
                        </div>
                        <?php if($settings['btn_show'] === 'yes'):?>
                            <div class="wow fadeInUp" data-wow-duration="2s">
                                <a <?php echo $this->get_render_attribute_string( 'btn_link' ); ?> aria-label="name" class="ftc-btn-4">
                                    <?php echo wp_kses($settings['btn_label'], true);?>
                                    <?php if($settings['btn_icon_enable'] === 'yes'):?>
                                        <?php \Elementor\Icons_Manager::render_icon( $settings['icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                    <?php endif;?>
                                </a>
                            </div>
                        <?php endif;?>

                    </div>
                    <?php if($settings['exprience_show'] === 'yes'):?>
                    <div class="right">
                        <div class="ftc-about-3-expri bg-default d-inline-flex ftcfadeup" data-background="<?php echo esc_url($settings['ex_img']['url']);?>">
                            <h3 class="number ftc-heading-2 ftc-font-800"><span class="counter"><?php echo esc_html($settings['e_counter']);?></span><?php if(!empty($settings['ex_prefix'])){ echo esc_attr($settings['ex_prefix']);}?></h3>
                            <?php if(!empty($settings['ex_title'])):?>
                                <p class="disc ftc-para-2"><?php echo ftech_wp_kses($settings['ex_title']);?></p>
                            <?php endif;?>
                        </div>
                    </div>
                    <?php endif;?>
                </div>
                <?php if(!empty($settings['img_2']['url'])):?>
                    <div class="ftc-about-3-img-2 fix img-cover  ftc-fade-down">
                        <img src="<?php echo esc_url($settings['img_2']['url']);?>" alt="<?php if(!empty($settings['img_2']['alt'])){ echo esc_attr($settings['img_2']['alt']);}?>">
                    </div>
                <?php endif;?>
            </div>
        </div>
    </div>
</div>