<?php 
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading ftc-section-title-1 ftc-font-700 has-color-white ftc-split-threed ftc-split-text' );

    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
?>
<div class="ftc-about-1-area fix">

    <span class="ftc-about-1-bg-shape-1"></span>
    <span class="ftc-about-1-bg-shape-2"></span>

    <div class="container ftc-container-1">
        <div class="ftc-about-1-row align-items-start">

            <!-- left-content -->
            <div class="left">

                <!-- left-img -->
                <?php if(!empty($settings['img_1']['url'])):?>
                    <div class="ftc-about-1-img">
                        <img src="<?php echo esc_url($settings['img_1']['url']);?>" alt="<?php if(!empty($settings['img_1']['alt'])){ echo esc_url($settings['img_1']['alt']);}?>">
                    </div>
                <?php endif;?>

                <!-- left-content -->
                <div class="ftc-about-1-content">
                    <div class="ftc-about-1-scn-title mb-25">
                        <?php if($settings['sub_title_show'] === 'yes'):?>
                        <h6 class="ftc-subtitle-1 elementor-goyto-sub ftc-font-700 text-uppercase has-color-pr wow" data-splitting>
                            <span class="line"></span><span><?php echo wp_kses($settings['subtitle'], true);?></span>
                        </h6>
                        <?php endif;?>
                        <?php printf('<%1$s %2$s>%3$s</%1$s>',
                            tag_escape($settings['title_tag']),
                            $this->get_render_attribute_string('title'),
                            $settings['title']
                        ); ?>
                        <?php if($settings['desc_show'] === 'yes'):?>
                            <div class="elementor-gt-desc ftc-para-1 wow fadeInUp">
                                <?php echo wpautop($settings['description']);?>
                            </div>
                        <?php endif;?>
                    </div>

                    <a <?php echo $this->get_render_attribute_string( 'btn_link' ); ?> aria-label="name" class="ftc-btn-1 ftc-pr-font text-capitalize ftc-font-700 has-icon wow fadeInUp" data-wow-duration="2s">
                        <?php echo wp_kses($settings['btn_label'], true);?>
                        <?php if($settings['btn_icon_enable'] === 'yes'):?>
                            <?php \Elementor\Icons_Manager::render_icon( $settings['icon'], [ 'aria-hidden' => 'true' ] ); ?>
                        <?php endif;?>
                    </a>
                </div>
                <?php if($settings['counter_show'] === 'yes'): foreach($settings['counters'] as $item):?>
                    <div class="ftc-about-1-counter-item ftc-add-class">
                        <div class="span-line d-block mb-25"></div>
                        <h4 class="number ftc-heading-1 text-uppercase ftc-font-700"><span class="counter"><?php echo esc_html($item['count']);?></span><?php if(!empty($item['prefix'])){ echo esc_attr($item['prefix']);}?></h4>
                        <?php if(!empty($item['ct_title'])):?>
                            <p class="ftc-para-1 item-disc wow" data-splitting>
                                <?php echo wp_kses($item['ct_title'], true);?>
                            </p>
                        <?php endif;?>
                    </div>
                <?php endforeach; endif;?>
            </div>

            
            <?php if(!empty($settings['img_2']['url'])):?>
                <div class="ftc-about-1-img-2 img-cover fix ftc-fade-down">
                    <img src="<?php echo esc_url($settings['img_2']['url']);?>" alt="<?php if(!empty($settings['img_2']['alt'])){ echo esc_url($settings['img_2']['alt']);}?>">
                </div>
            <?php endif;?>
        </div>
    </div>
</div>