<?php 
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading ftc-section-title-2 ftc-split-threed ftc-split-text' );

    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
?>
<div class="ftc-brand-3-area bg-default parallax-img fix" data-background="<?php echo esc_url($settings['brand_bg_img']['url']);?>">
    <?php if(!empty($settings['brand_img']['url'])):?>
        <div class="ftc-brand-3-img text-right ftc-fade-left">
            <img src="<?php echo esc_url($settings['brand_img']['url']);?>" alt="<?php if(!empty($settings['brand_img']['alt'])){ echo esc_url($settings['brand_img']['alt']);}?>">
        </div>
    <?php endif;?>
    <div class="container ftc-container-3">
        <div class="ftc-brand-3-row">
            <!-- left-content -->
            <div class="ftc-brand-3-content">
                <div class="ftc-brand-3-scn-title">
                    <?php if($settings['sub_title_show'] === 'yes'):?>
                        <h6 class="ftc-subtitle-2"><span class="line"></span> <span><?php echo ftech_wp_kses($settings['subtitle']);?></span></h6>
                    <?php endif;?>
                    <?php printf('<%1$s %2$s>%3$s</%1$s>',
                        tag_escape($settings['title_tag']),
                        $this->get_render_attribute_string('title'),
                        $settings['title']
                    ); ?>
                </div>
                <?php if($settings['btn_show'] === 'yes'):?>
                    <div class="text-right">
                        <a <?php echo $this->get_render_attribute_string( 'btn_link' ); ?> aria-label="name" class="ftc-btn-4 ">
                            <?php echo wp_kses($settings['btn_label'], true);?>
                        </a>
                    </div>
                <?php endif;?>
            </div>

            <!-- right-content -->
            <div class="ftc-brand-3-logo-wrap">
                <div class="ftc-brand-3-logo-1">
                    <?php foreach($settings['brands'] as $logo):?>
                        <div class="logo-item">
                            <img src="<?php echo esc_url($logo['image']['url']);?>" alt="<?php if(!empty($logo['image']['alt'])){ echo esc_attr($logo['image']['alt']);}?>">
                        </div>
                    <?php endforeach;?>
                </div>
                <?php if(!empty($settings['brands2'])):?>
                <div class="ftc-brand-3-logo-2">
                    <?php foreach($settings['brands2'] as $logo):?>
                        <div class="logo-item">
                            <img src="<?php echo esc_url($logo['image']['url']);?>" alt="<?php if(!empty($logo['image']['alt'])){ echo esc_attr($logo['image']['alt']);}?>">
                        </div>
                    <?php endforeach;?>
                </div>
                <?php endif;?>
                <?php if(!empty($settings['brands3'])):?>
                <div class="ftc-brand-3-logo-3">
                    <?php foreach($settings['brands3'] as $logo):?>
                        <div class="logo-item">
                            <img src="<?php echo esc_url($logo['image']['url']);?>" alt="<?php if(!empty($logo['image']['alt'])){ echo esc_attr($logo['image']['alt']);}?>">
                        </div>
                    <?php endforeach;?>
                </div>
                <?php endif;?>
            </div>
        </div>
    </div>
</div>