<?php 
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading ftc-section-title-2 ftc-split-threed ftc-split-text' );

    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
?>
<div class="ftc-choose-us-3-area pt-130 pb-35 fix">
    <?php if(!empty($settings['img_1']['url'])):?>
        <div class="ftc-choose-us-3-bg-il-1">
            <img src="<?php echo esc_url($settings['img_1']['url']);?>" alt="<?php if(!empty($settings['img_1']['alt'])){ echo esc_attr($settings['img_1']['alt']);}?>">
        </div>
    <?php endif;?>
    <?php if(!empty($settings['img_2']['url'])):?>
        <div class="ftc-choose-us-3-bg-il-2">
            <img src="<?php echo esc_url($settings['img_2']['url']);?>" alt="<?php if(!empty($settings['img_2']['alt'])){ echo esc_attr($settings['img_2']['alt']);}?>">
        </div>
    <?php endif;?>

    <div class="container ftc-container-3">
        <div class="ftc-choose-us-3-row">

            <!-- left -->
            <div class="ftc-choose-us-3-left">

                <!-- section-title -->
                <div class="ftc-choose-us-3-scn-title mb-40">
                    <?php if($settings['sub_title_show'] === 'yes'):?>
                        <h6 class="ftc-subtitle-2"><span class="line"></span> <span><?php echo ftech_wp_kses($settings['subtitle']);?></span></h6>
                    <?php endif;?>
                    <?php printf('<%1$s %2$s>%3$s</%1$s>',
                        tag_escape($settings['title_tag']),
                        $this->get_render_attribute_string('title'),
                        $settings['title']
                    ); ?>
                    <?php if($settings['desc_show'] === 'yes'):?>
                        <div class="elementor-gt-desc ftc-para-2 wow fadeInUp" data-wow-duration="2s">
                            <?php echo wpautop($settings['description']);?>
                        </div>
                    <?php endif;?>
                </div>

                <!-- feature -->
                <div class="ftc-choose-us-3-feature-wrap">

                    <?php foreach($settings['features'] as $item):?>
                    <div class="ftc-choose-us-3-feature">
                        <span class="icon d-inline-block ">
                            <?php if ($item['type'] === 'image' && ($item['icon_img']['url'])) :?>
                                <img src="<?php echo esc_url($item['icon_img']['url']);?>" alt="<?php if(!empty($item['icon_img']['alt'])){ echo esc_attr($item['icon_img']['alt']);}else{esc_attr_e('List', 'ftech-plugin');}?>">
                            <?php else:?>
                                <?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'aria-hidden' => 'true' ] ); ?>
                            <?php endif;?>
                        </span>
                        <h4 class="title ftc-font-600 ftc-heading-2"><?php echo ftech_wp_kses($item['title']);?></h4>
                        <p class="disc ftc-para-2"><?php echo ftech_wp_kses($item['desc']);?></p>
                    </div>
                    <?php endforeach;?>
                </div>
            </div>

            <div class="ftc-choose-us-3-right">
                <?php if(!empty($settings['img_3']['url'])):?>
                    <div class="ftc-choose-us-3-img fix img-cover ftc-fade-down">
                        <img src="<?php echo esc_url($settings['img_3']['url']);?>" alt="<?php if(!empty($settings['img_3']['alt'])){ echo esc_attr($settings['img_3']['alt']);}?>">
                    </div>
                <?php endif;?>
                    <span class="ftc-choose-us-3-img-shape ftc-add-class"></span>
            </div>
        </div>
    </div>
</div>