<div class="ftc-footer-4-area fix bg-default parallax-img pt-60" data-background="<?php echo esc_url($settings['footer_bg']['url']);?>">
    <div class="container ftc-container-4">

        <!-- footer-top -->
        <div class="ftc-footer-4-top d-flex justify-content-between align-items-center flex-wrap pt-50 pb-50">
            <?php if(!empty($settings['heading_logo']['url'])):?>
                <a href="<?php echo esc_url(home_url());?>" aria-label="name" class="ftc-footer-4-logo d-block" >
                    <img src="<?php echo esc_url($settings['heading_logo']['url']);?>" alt="<?php if(!empty($settings['heading_logo']['alt'])){ echo esc_attr($settings['heading_logo']['alt']);}?>">
                </a>
            <?php endif;?>
            <?php if(!empty($settings['links'])):?>
                <div class="ftc-footer-4-top-menu">
                    <?php foreach($settings['links'] as $item):?>
                        <a href="<?php echo esc_url($item['link']['url']);?>" aria-label="name" class="links"><?php echo esc_html($item['title']);?></a>
                    <?php endforeach;?>
                </div>
            <?php endif;?>
        </div>

        <!-- line -->
        <span class="ftc-footer-4-line ftc-add-class d-block has-origin-left"></span>

        <!-- footer-widget -->
        <div class="ftc-footer-4-widget-wrap ">

            <!-- single-widget -->
            <div class="ftc-footer-4-widget ">
                <?php if(!empty($settings['brand_title'])):?>
                    <h4 class="ftc-footer-4-widget-title ftc-heading-2 has-color-white ftc-font-600 wow" data-splitting><?php echo ftech_wp_kses($settings['brand_title'])?></h4>
                <?php endif;?>

                <div class="ftc-footer-4-brand-grid">
                    <?php foreach($settings['brands'] as $item):?>
                        <div class="ftc-footer-4-brand">
                            <img src="<?php echo esc_url($item['brand']['url']);?>" alt="<?php if(!empty($settings['brand']['alt'])){ echo esc_attr($settings['brand']['alt']);}?>" class="logo">
                            <img src="<?php echo esc_url($item['brand_2']['url']);?>" alt="<?php if(!empty($settings['brand_2']['alt'])){ echo esc_attr($settings['brand_2']['alt']);}?>" class="logo-clr">
                        </div>
                    <?php endforeach;?>
                </div>
            </div>

            <span class=" hr-line"></span>

            <?php if(!empty($settings['quick_links'])):?>
                <div class="ftc-footer-4-widget ">

                    <?php if(!empty($settings['qucik_title'])):?>
                        <h4 class="ftc-footer-4-widget-title ftc-heading-2 has-color-white ftc-font-600 wow" data-splitting><?php echo ftech_wp_kses($settings['qucik_title'])?></h4>
                    <?php endif;?>

                    <ul class="ftc-footer-1-menu">
                        <?php foreach($settings['quick_links'] as $item):?>
                            <li><a href="<?php echo esc_url($item['link']['url']);?>" aria-label="name" class="menu-link"><?php echo esc_html($item['title']);?></a></li>
                        <?php endforeach;?>
                    </ul>

                </div>
            <?php endif;?>

            <span class=" hr-line"></span>

            <!-- single-widget -->
            <div class="ftc-footer-4-widget ">

                <?php if(!empty($settings['ct_title'])):?>
                    <h4 class="ftc-footer-4-widget-title ftc-heading-2 has-color-white ftc-font-600 wow" data-splitting><?php ftech_wp_kses($settings['ct_title'])?></h4>
                <?php endif;?>


                <div class="ftc-footer-3-contact">
                    <?php foreach($settings['infos'] as $item):?>
                        <p class="disc ftc-para-2 d-flex">
                            <?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'aria-hidden' => 'true' ] ); ?>
                            <?php echo ftech_wp_kses($item['title'])?></p>
                    <?php endforeach;?>
                    <?php if(!empty($settings['hour_title'])):?>
                        <span class="title ftc-heading-2 has-color-white ftc-font-600"><?php echo esc_html($settings['hour_title']);?></span>
                    <?php endif;?>

                    <?php if(!empty($settings['hour_content'])):?>
                        <p class="disc ftc-para-2 d-flex"><?php echo ftech_wp_kses($settings['hour_content'])?></p>
                    <?php endif;?>

                </div>

            </div>


        </div>

        <span class="ftc-footer-4-line ftc-add-class d-block has-origin-right"></span>
        
        <?php if(!empty($settings['copyright'])):?>
            <div class="col-12 text-center pt-25 pb-25">
                <div class="ftc-footer-4-copyright ftc-heading-2 has-color-white wow" data-splitting><?php echo ftech_wp_kses($settings['copyright'])?></div>
            </div>
        <?php endif;?>

    </div>
</div>