<?php
    $rand = rand(0, 9999);
?>
<ul class="ftc-special-1-tabs-btn mb-70 ftcfadeup" id="myTab__<?php echo esc_attr($rand); ?>" role="tablist">
    <?php
        foreach( $settings['tabs'] as $id => $item ) :

        $active = ($id == 0) ? 'active' : '';
        $aria_selected = ($id == 0) ? 'true' : 'false';

    ?>
    <li class="nav-item" role="presentation">
        <button class="nav-link <?php echo esc_attr($active); ?> ftc-heading-1 has-color-white ftc-font-700" id="home-tab<?php echo esc_attr($id.$rand); ?>" data-bs-toggle="tab" data-bs-target="#home<?php echo esc_attr($id.$rand); ?>" type="button" role="tab" aria-controls="home<?php echo esc_attr($id.$rand); ?>" aria-selected="true">
            <?php if(!empty($item['tab_title_count'])):?>
                <span><?php echo esc_html($item['tab_title_count']);?></span>
            <?php endif;?>
            <?php echo esc_html($item['tab_title']);?>
        </button>
    </li>
    <?php endforeach;?>
</ul>

<!-- tabs-content -->
<div class="tab-content ftc-special-1-tabs-content fix ftc-add-class" id="myTabContent__<?php echo esc_attr($rand); ?>">

    <?php
        foreach( $settings['tabs'] as $id => $item ) :
        $active = ($id == 0) ? 'show active' : '';
    ?>
    <div class="tab-pane fade  animated fadeInUp wow <?php echo esc_attr($active); ?>" id="home<?php echo esc_attr($id.$rand); ?>" role="tabpanel" aria-labelledby="home-tab<?php echo esc_attr($id.$rand); ?>">
        <div class="row align-items-center">
            <div class="col-lg-5">
                <h3 class="item-title ftc-heading-1 has-color-white ftc-font-700"><?php echo ftech_wp_kses($item['title']);?></h3>
                <p class="item-disc has-color-white ftc-para-1"><?php echo ftech_wp_kses($item['description']);?></p>
                <div class=" item-btn-wrap">
                    <div class="ftc-special-1-counter">
                        <h4 class="number "><span class="counter"><?php echo esc_html($item['count']);?></span><?php if(!empty($item['prefix'])){ echo esc_attr($item['prefix']);}?></h4>
                        <p class="disc ftc-para-1 has-color-white"> <?php echo ftech_wp_kses($item['count_title']);?></p>
                    </div>
                    <?php if(!empty($item['btn_label'])):?>
                        <a href="<?php echo esc_url($item['btn_link']['url']);?>" aria-label="name" class="ftc-btn-1 ftc-pr-font text-capitalize ftc-font-700 has-icon wow fadeInRight" data-wow-duration="2s" >
                            <?php echo esc_html($item['btn_label']);?>
                            <i class="fa-regular fa-arrow-up-right"></i>
                        </a>
                    <?php endif;?>
                </div>
            </div>
            <div class="col-lg-7">
                <div class="item-img ">
                    <?php if(!empty($item['img_1']['url'])):?>
                        <div class="item-img-1">
                            <img src="<?php echo esc_url($item['img_1']['url']);?>" alt="<?php if(!empty($item['img_1']['alt'])){ echo esc_url($item['img_1']['alt']);}?>">
                        </div>
                    <?php endif;?>
                    <?php if(!empty($item['img_2']['url'])):?>
                        <div class="item-img-2">
                            <img src="<?php echo esc_url($item['img_2']['url']);?>" alt="<?php if(!empty($item['img_2']['alt'])){ echo esc_url($item['img_2']['alt']);}?>">
                        </div>
                    <?php endif;?>
                </div>
            </div>

        </div>
    </div>
    <?php endforeach;?>

</div>