<?php 
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading title ftc-heading-2 ftc-split-text' );

    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
    if ( ! empty( $settings['btn_link2']['url'] ) ) {
        $this->add_link_attributes( 'btn_link2', $settings['btn_link2'] );
    }
?>
<div class="section-bg-1 bg-default fix " data-background="<?php echo esc_url($settings['section_bg']['url']);?>">

    <div class="section-bg-1-cube-grid">
        <?php if(!empty($settings['img_1']['url'])):?>
            <img src="<?php echo esc_url($settings['img_1']['url']);?>" alt="<?php if(!empty($settings['img_1']['alt'])){ echo esc_url($settings['img_1']['alt']);}?>" class="section-bg-1-cube-1">
        <?php endif;?>

        <?php if(!empty($settings['img_2']['url'])):?>
            <img src="<?php echo esc_url($settings['img_2']['url']);?>" alt="<?php if(!empty($settings['img_2']['alt'])){ echo esc_url($settings['img_2']['alt']);}?>" class="section-bg-1-cube-2">
        <?php endif;?>

        <?php if(!empty($settings['img_3']['url'])):?>
            <img src="<?php echo esc_url($settings['img_3']['url']);?>" alt="<?php if(!empty($settings['img_3']['alt'])){ echo esc_url($settings['img_3']['alt']);}?>" class="section-bg-1-cube-3">
        <?php endif;?>

        <?php if(!empty($settings['img_4']['url'])):?>
            <img src="<?php echo esc_url($settings['img_4']['url']);?>" alt="<?php if(!empty($settings['img_4']['alt'])){ echo esc_url($settings['img_4']['alt']);}?>" class="section-bg-1-cube-4">
        <?php endif;?>

    </div>
<!-- hero-start -->
<div class="ftc-hero-4-area fix"  >
    <div class="container ftc-container-4 ">
        <div class="ftc-hero-4-content ">
            <?php printf('<%1$s %2$s>%3$s</%1$s>',
                tag_escape($settings['title_tag']),
                $this->get_render_attribute_string('title'),
                $settings['title']
            ); ?>
            <?php if(!empty($settings['description'])):?>
                <p class="ftc-para-2 disc wow" data-splitting><?php echo ftech_wp_kses($settings['description']);?></p>
            <?php endif;?>

            <?php if($settings['btn_show'] === 'yes'):?>
                <div class="btn-wrap">
                    <a <?php echo $this->get_render_attribute_string( 'btn_link' ); ?> aria-label="name" class="ftc-pr-btn-5">
                        <?php echo wp_kses($settings['btn_label'], true);?>
                        <i class="fa-solid fa-arrow-up-long"></i>
                    </a>
                </div>
            <?php endif;?>

        </div>
    </div>

    <div class="ftc-hero-4-social">

    <?php foreach($settings['socials'] as $item):?>
        <a href="<?php echo esc_url($item['link']['url']);?>" class="link" aria-label="name">
            <?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'aria-hidden' => 'true' ] ); ?>
        </a>
    <?php endforeach;?>
    
    <a <?php echo $this->get_render_attribute_string( 'btn_link2' ); ?> class="title" aria-label="name">
        <?php echo wp_kses($settings['btn2_label'], true);?>
    </a>

    <?php foreach($settings['infos'] as $item):?>
        <a href="<?php echo esc_url($item['link']['url']);?>" class="link" aria-label="name">
            <?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'aria-hidden' => 'true' ] ); ?>
        </a>
    <?php endforeach;?>

</div>

</div>
<!-- hero-end -->
<!-- about-start -->
<?php echo ftech_elemento_display()->frontend->get_builder_content_for_display( $settings['template'] );?>
<!-- about-end -->

</div>