<?php 
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading title ftc-pr-font ftc-color-white ftc-font-700' );

    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
?>
<div class="ftc-hero-1-area fix parallax-img" <?php if(!empty($settings['hero_bg']['url'])):?> data-background="<?php echo esc_url($settings['hero_bg']['url']);?>" <?php endif;?> >
    <div class="ftc-hero-1-bg-img " ></div>
    <?php if(!empty($settings['hero_shape']['url'])):?>
        <div class="ftc-hero-1-il-1">
            <img src="<?php echo esc_url($settings['hero_shape']['url']);?>" alt="<?php if(!empty($settings['hero_shape']['alt'])){ echo esc_attr($settings['hero_shape']['alt']);}?>">
        </div>
    <?php endif;?>

    <div class="container ftc-container-1 mb-105">
        <div class="ftc-hero-1-content ftc-threed-box">
            <?php if($settings['sub_title_show'] === 'yes'):?>
                <h4 class="subtitle elementor-ftech-sub ftc-pr-font text-uppercase ftc-bg-pr ftc-font-700 ">
                    <?php 
                        if($settings['hide_icon_subtitle'] === 'yes'){
                            \Elementor\Icons_Manager::render_icon( $settings['subtitle_icon'], [ 'aria-hidden' => 'true' ] ); 
                        } 
                    ?>
                    <?php echo wp_kses($settings['subtitle'], true);?>
                </h4>
            <?php endif;?>
            <?php printf('<%1$s %2$s>%3$s</%1$s>',
                tag_escape($settings['title_tag']),
                $this->get_render_attribute_string('title'),
                $settings['title']
            ); ?>
            <?php if($settings['video_show'] === 'yes'):?>
            <div class="inner-div d-flex align-items-center mb-50">
                <a href="<?php echo esc_url($settings['video_link']['url']);?>" aria-label="name" class="ftc-hero-1-video img-cover fix popup-video">
                    <?php if(!empty($settings['video_poster']['url'])):?>
                        <img class="main-img" src="<?php echo esc_url($settings['video_poster']['url']);?>" alt="<?php if(!empty($settings['video_poster']['alt'])){ echo esc_attr($settings['video_poster']['alt']);}?>">
                    <?php endif;?>
                    <span class="icon">
                        <i class="fa-solid fa-play"></i>
                    </span>
                </a>
                <?php if(!empty($settings['video_title'])):?>
                    <p class="disc ftc-para-font text-uppercase ftc-font-700 ftc-color-white"><?php echo wp_kses($settings['video_title'], true);?></p>
                <?php endif;?>
            </div>
            <?php endif;?>

            <?php if($settings['btn_show'] === 'yes'):?>
            <div class="btn-wrap">
                <a <?php echo $this->get_render_attribute_string( 'btn_link' ); ?> aria-label="name" class="ftc-btn-1 ftc-pr-font text-capitalize ftc-font-700 has-icon">
                    <?php echo wp_kses($settings['btn_label'], true);?>
                    <?php 
                        if($settings['hide_icon_btn'] === 'yes'){
                            \Elementor\Icons_Manager::render_icon( $settings['btn_icon'], [ 'aria-hidden' => 'true' ] ); 
                        } 
                    ?>
                </a>
            </div>
            <?php endif;?>

        </div>
    </div>

    <?php echo ftech_elemento_display()->frontend->get_builder_content_for_display( $settings['template'] );?>
</div>