<?php 
    if ( ! empty( $settings['btn_link']['url'] ) ) {
        $this->add_link_attributes( 'btn_link', $settings['btn_link'] );
    }
?>
<div class="ftc-price-4-card <?php if(!empty($settings['custom_cls'])){ echo esc_attr($settings['custom_cls']);}?>">
    <div class="header">
        <div class="icon">
            <?php if ($settings['type'] === 'image' && ($settings['icon_img']['url'])) :?>
                <img src="<?php echo esc_url($settings['icon_img']['url']);?>" alt="<?php if(!empty($settings['icon_img']['alt'])){ echo esc_attr($settings['icon_img']['alt']);}else{esc_attr_e('List', 'ftech-plugin');}?>">
            <?php else:?>
                <?php \Elementor\Icons_Manager::render_icon( $settings['icon'], [ 'aria-hidden' => 'true' ] ); ?>
            <?php endif;?>
        </div>
        <h3 class="price has-color-white ftc-heading-2 ftc-font-700">
            <?php if(!empty($settings['currency'])):?>
                <span class="ftc-color-gd-2 dollar"><?php echo esc_html($settings['currency']);?></span>
            <?php endif;?>
            <?php echo esc_html($settings['price']);?>
            <?php if(!empty($settings['currency'])):?>
                <span class="month text-uppercase d-inline-block"><?php echo esc_html($settings['period']);?></span>
            <?php endif;?>
        </h3>
        <h4 class="title ftc-font-700 ftc-heading-2 has-color-white wow " data-splitting><?php echo ftech_wp_kses($settings['title'])?></h4>
        <?php if(!empty($settings['description'])):?>
            <p class="ftc-para-2 disc has-color-white"><?php echo ftech_wp_kses($settings['description'])?></p>
        <?php endif;?>
    </div>
    <?php if(!empty($settings['btn_label'])):?>
        <a <?php echo $this->get_render_attribute_string( 'btn_link' ); ?> aria-label="name" class="card-btn ftc-font-600">
            <?php echo ftech_wp_kses($settings['btn_label'])?>
        </a>
    <?php endif;?>
    <?php if(!empty($settings['pricing_lists'])):?>
    <ul class="feature-list">
        <?php foreach($settings['pricing_lists'] as $item):?>
            <li class="wow" data-splitting><i class="fa-solid fa-shield-check"></i><?php echo ftech_wp_kses($item['title'])?></li>
        <?php endforeach;?>
    </ul>
    <?php endif;?>
</div>