<?php
    $this->add_render_attribute( 'title', 'class', 'elementor-gt-heading ftc-section-title-1 ftc-font-700 ftc-split-threed ftc-split-text' );
    $rand = rand(0, 9999);
?>

<div>
    <div class="container ftc-container-1">
        <div class="ftc-price-1-row">

            <!-- left-content -->
            <div class="ftc-price-1-content">

                <!-- section-title -->
                <div class="ftc-price-1-scn-title mb-55">
                    <?php if($settings['sub_title_show'] === 'yes'):?>
                        <h6 class="ftc-subtitle-1 elementor-goyto-sub ftc-font-700 text-uppercase has-color-pr wow" data-splitting>
                            <span class="line"></span><span><?php echo wp_kses($settings['subtitle'], true);?></span>
                        </h6>
                    <?php endif;?>
                    <?php printf('<%1$s %2$s>%3$s</%1$s>',
                        tag_escape($settings['title_tag']),
                        $this->get_render_attribute_string('title'),
                        $settings['title']
                    ); ?>
                </div>

                <div class="inner-div">

                    <!-- tabs-btn -->
                    <ul class="ftc-price-1-tabs-btn wow fadeInUp" data-wow-duration="2s" id="myTab_<?php echo esc_attr($rand); ?>" role="tablist">
                        <!-- single-btn -->
                        <?php
                            foreach( $settings['pricings'] as $id => $list ) :
                            $tab_title = $list['title'];

                            $active = ($id == 0) ? 'active' : '';
                            $aria_selected = ($id == 0) ? 'true' : 'false';

                        ?>
                            <li class="nav-item" role="presentation">
                                <button class="nav-link <?php echo esc_attr($active); ?> ftc-heading-1 ftc-font-700" id="home-tab-<?php echo esc_attr($id.$rand); ?>" data-bs-toggle="tab" data-bs-target="#home-<?php echo esc_attr($id.$rand); ?>" type="button" role="tab" aria-controls="home-<?php echo esc_attr($id.$rand); ?>" aria-selected="true"><?php echo wp_kses($tab_title, true)?></button>
                            </li>
                        <?php endforeach;?>
                    </ul>

                    <div class="right-content">
                    <?php if($settings['desc_show'] === 'yes'):?>
                        <div class="ftc-price-1-content-disc ftc-para-1 wow fadeInUp" data-wow-duration="2s"><?php echo wpautop($settings['description']);?></div>
                        <?php endif;?>

                        <?php if($settings['counter_show'] === 'yes'):?>
                            <div class="ftc-price-1-counter">
                                <h4 class="number ftc-font-700"><span class="counter"><?php echo esc_html($settings['count']);?></span><?php echo isset($settings['prefix']) ? esc_html($settings['prefix']) : ''; ?></h4>

                                <?php if(!empty($settings['counter_title'])):?>
                                    <p class="disc ftc-para-1 wow" data-splitting><?php echo wp_kses($settings['counter_title'], true);?></p>
                                <?php endif;?>

                            </div>
                        <?php endif;?>
                    </div>

                </div>
            </div>

            <!-- right-img -->
            <div class="ftc-price-1-right">
                <?php if($settings['p_img']['url']):?>
                    <div class="ftc-price-1-img img-cover fix ftc-fade-down">
                        <img src="<?php echo esc_url($settings['p_img']['url']);?>" alt="<?php if(!empty($settings['p_img']['alt'])){ echo esc_attr($settings['p_img']['alt']);}?>">
                    </div>
                <?php endif;?>

                <!-- tabs-content -->
                <div class="tab-content ftc-price-1-tabs-content" id="myTabContent_<?php echo esc_attr($rand); ?>">

                <?php
                        foreach( $settings['pricings'] as $id => $list ) :
                        $active = ($id == 0) ? 'show active' : '';
                    ?>
                    <div class="tab-pane fade <?php echo esc_attr($active); ?>" id="home-<?php echo esc_attr($id.$rand); ?>" role="tabpanel" aria-labelledby="home-tab-<?php echo esc_attr($id.$rand); ?>">
                        <div class="ftc-price-1-tabs-content-item">
                            <h4 class="item-title ftc-heading-1 ftc-font-700"><?php echo wp_kses($tab_title, true)?></h4>
                            <p class="item-disc ftc-para-1"><?php echo wp_kses($list['desc'], true)?></p>
                            <h5 class="item-price ftc-heading-1 ftc-font-700"><?php echo wp_kses($list['currency'], true);?><?php echo wp_kses($list['price'], true)?> <span><?php echo wp_kses($list['preiod'], true)?></span></h5>
                            <span class="line d-block"></span>
                            <?php if($list['list_title']):?>
                                <h6 class="list-title ftc-heading-1 ftc-font-700"><?php echo wp_kses($list['list_title'], true);?></h6>
                            <?php endif;?>
                            <?php if($list['pricing_lists']):?>
                                <ul class="item-list mb-25">
                                    <?php foreach($list['pricing_lists'] as $item):?>
                                        <li class="ftc-para-1 text-capitalize " ><?php echo wp_kses($item['list_title'], true);?></li>
                                    <?php endforeach;?>
                                </ul>
                            <?php endif;?>
                            <?php if($list['list_title2']):?>
                                <h6 class="list-title ftc-heading-1 ftc-font-700"><?php echo wp_kses($list['list_title2'], true);?></h6>
                            <?php endif;?>
                            <?php if($list['pricing_lists_2']):?>
                                <ul class="item-list-2 mb-25">
                                    <?php foreach($list['pricing_lists_2'] as $item):?>
                                        <li class="ftc-para-1 text-capitalize " ><?php echo wp_kses($item['list_title'], true);?></li>
                                    <?php endforeach;?>
                                </ul>
                            <?php endif;?>
                            <?php if(!empty($list['btn_label'])):?>
                                <a href="<?php echo esc_url($list['link']['url']);?>" aria-label="name" class="ftc-btn-1 ftc-pr-font text-capitalize ftc-font-700 has-icon">
                                    <?php echo wp_kses($list['btn_label'], true);?>
                                    <i class="fa-regular fa-arrow-up-right"></i>
                                </a>
                            <?php endif;?>

                            <img class="il-img" src="<?php echo esc_url($settings['p_shape']['url']);?>" alt="<?php if(!empty($settings['p_shape']['alt'])){ echo esc_attr($settings['p_shape']['alt']);}?>">
                        </div>
                    </div>
                    <?php endforeach;?>
                </div>
            </div>

        </div>
    </div>
</div>