<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package ftech
 */

get_header();
$error_code = cs_get_option('error_code');
$error_title = cs_get_option('error_title');
$error_button = cs_get_option('error_button');
?>
<div class="feh-oops-area fix">
	<div class="feh-oops-shape-1"></div>
	<div class="feh-oops-shape-2"></div>
	<div class="container">
		<div class="feh-oops-wrap">
			<div class="img-wrap">
				<img class="feh-img-plx" data-value="4" src="<?php if (!empty($error_code['url'])) {
					echo esc_url($error_code['url']);
				} else {
					echo esc_url(get_template_directory_uri() . '/assets/img/oops.png');
				} ?>"
					alt="<?php esc_attr_e('404', 'ftech'); ?>" />
			</div>
			<h3 class="ftc-heading-1 title">
				<?php if (!empty($error_title)) {
					echo esc_html($error_title);
				} else {
					esc_html_e('Oops! Page Not found.', 'ftech');
				} ?>	
			</h3>
			<div class="back-btn-wrap">
				<a href="<?php echo esc_url(home_url('/')); ?>" class="back-btn ftc-btn-1 ftc-pr-font text-uppercase ftc-font-700 has-icon">
					<span><?php if (!empty($error_button)) {
							echo esc_html($error_button);
						} else {
							esc_html_e('Go Back Home', 'ftech');
						} ?></span>
					<i class="flaticon-diagonal-arrow"></i>
				</a>
			</div>
		</div>
	</div>
</div>


<?php
get_footer();
