<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ftech
 */
if (get_post_meta(get_the_ID(), 'ftech_page_meta', true)) {
	$header_meta = get_post_meta(get_the_ID(), 'ftech_page_meta', true);
} else {
	$header_meta = array();
}

if (array_key_exists('page_header_disable', $header_meta)) {
	$page_header_disable = $header_meta['page_header_disable'];
} else {
	$page_header_disable = false;
}
?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>


<div id="page" class="site site_wrapper">
	<?php
	if(function_exists('ftech_preloader')){
		ftech_preloader();
	};
	if(function_exists('ftech_scroll_up_btn')){
		ftech_scroll_up_btn();
	};
	if ($page_header_disable != true) {
		Ftech_Helper::ftech_header_template();
	}
	do_action('ftech_before_main_content');
	?>
	<div class="body-bg-1 bg-default">