<?php

/**
 * [Ftech_Admin description]
 */
if (!class_exists('Ftech_Admin')) {
    class Ftech_Admin{

        private static $instance = null;

        /**
         * register instance
         *
         * @return void
         */
        public static function init(){
            if (is_null(self::$instance)) {
                self::$instance = new self();
            }
            return self::$instance;
        }

        /**
         * init Construct
         */
        public function __construct(){
            add_action('init', [$this, 'ftech_tgm_dashboard'], 1);
            add_action('admin_menu', [$this, 'ftech_admin_dashboard'], 1);
            add_action('admin_menu', [$this, 'ftech_template_dashboard'], 20);
            add_action('ocdi/plugin_page_setup', [$this, 'ftech_import_dsb'], 20);
            add_action('admin_enqueue_scripts', array($this, 'Ftech_Admin_enqueue_scripts'));
        }

        /**
         * Admin Dashboard
         *
         * @return void
         */
        public function ftech_admin_dashboard(){
            add_menu_page(
                esc_html__('Ftech', 'ftech'),
                esc_html__('Ftech', 'ftech'),
                'manage_options',
                'ftech',
                [$this, 'display_ftech_admin_dashboard'],
                get_template_directory_uri() . '/inc/admin/assets/img/favicon.svg',
                2
            );


        }

        /**
         * Template Dashboard
         *
         * @return void
         */
        public function ftech_template_dashboard() {
            add_submenu_page(
                'ftech',
                esc_html__('Templates', 'ftech'),
                esc_html__('Templates', 'ftech'),
                'manage_options',
                'edit.php?post_type=ftech_template',
                false
            );
        }

        /**
         * admin style Add
         */
        public function Ftech_Admin_enqueue_scripts()
        {
            wp_enqueue_style('ftech-admin', get_theme_file_uri('inc/admin/assets/css/admin.css'), array(), null, 'all');
        }

        public function display_ftech_admin_dashboard()
        {
            require_once FTECH_INC_DRI . 'admin/admin-page.php';
        }

        public function ftech_tgm_dashboard()
        {
            require_once FTECH_INC_DRI . 'admin/class-tgm-plugin-activation.php';
            require_once FTECH_INC_DRI . 'admin/plugin-activation.php';
        }

        public function ftech_import_dsb($default)
        {
            $default['parent_slug'] = 'ftech';
            $default['page_title'] = esc_html__('One Click Demo Import', 'ftech');
            $default['menu_title'] = esc_html__('Import Demo Data', 'ftech');
            $default['capability'] = 'import';
            $default['menu_slug'] = 'one-click-demo-import';

            return $default;
        }
    }
    Ftech_Admin::init();
}
