<?php

// File Security Check
if (!defined('ABSPATH')) {
    exit;
}

function ftech_theme_options_style()
{

    //
    // Enqueueing StyleSheet file
    //
    wp_enqueue_style('ftech-theme-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');
    $css_output = '';
    $primery_color = cs_get_option('theme-color-1');
    $heading_color = cs_get_option('theme-color-2');
    

    /**
     * Theme Primery Global Color
     */
    if (!empty($primery_color)) {
        $css_output .= '       
        :root {
            --ftc-pr-1: ' . esc_attr($primery_color) . '
        }            
        ';
    }


    /**
     * Theme Heading Global Color
     */
    if (!empty($heading_color)) {
        $css_output .= '       
        :root {
            --ftc-heading-1: ' . esc_attr($heading_color) . '
        }            
        ';
    }


    wp_add_inline_style('ftech-theme-custom-style', $css_output);

}
add_action('wp_enqueue_scripts', 'ftech_theme_options_style');
