<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ftech
 */

get_header();
$ftechPostClass = '';
if (is_active_sidebar('sidebar-1')) {
	$ftechPostClass = 'col-xxl-8 col-xl-8 col-lg-8';
} else {
	$ftechPostClass = 'col-lg-10 offset-lg-1';
}
?>
<div class="blog-grid-area pt-120 pb-70 fix">
		<div class="container ftc-container-1">
			<div class="row">

			<!-- Content Side -->
			<div class="<?php echo esc_attr($ftechPostClass); ?>">
				<div class="blog-list-item-wrap mb-50">
					<?php ftech_post_loop(); ?>
				</div>
			</div>
			<!-- Sidebar Side -->
			<?php get_sidebar(); ?>

		</div>
	</div>
</div>

<?php
get_footer();
