<div?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ftech
 */
$categories = get_the_category();
$blog_btn_text = cs_get_option('blog_btn_text');
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('blog-list-item'); ?>>
<?php if (has_post_thumbnail()) { ?>
	<div class="blog-list-slider-wrap">
		<div class="blog-list-slide-item">
			<?php the_post_thumbnail('full') ?>
		</div>
	</div>

	<?php } ?>
	<div class="meta-data">
		<span class="ftc-pr-font name"><i class="flaticon-businessman flaticon"></i> <?php esc_html_e('By', 'ftech'); ?> <?php the_author();?></span>
		<span class="ftc-pr-font name"><i class="flaticon-conversation flaticon"></i> <?php echo esc_attr(get_comments_number()); ?>
				<?php esc_html_e('comments', 'ftech'); ?></span>
		<span class="ftc-pr-font name"><i class="flaticon-calendar flaticon"></i> <?php echo date(get_option('date_format')); ?></span>
	</div>
	<h3 class="ftc-heading-1 title">
		<a href="<?php the_permalink() ?>">
			<?php the_title(); ?>
		</a>
	</h3>
	<div class="ftc-para-1"><?php the_excerpt(); ?></div>
	<a class="feh-read-btn ftc-pr-font text-uppercase" href="#">
		<span>
			<?php if (!empty($blog_btn_text)) {
				echo esc_html($blog_btn_text);
			} else {
				esc_html_e('Read More', 'ftech');
			} ?>
		</span>
		<i class="fa-solid fa-arrow-up-right"></i>
	</a>
</article><!-- #post-<?php the_ID(); ?> -->