<?php
/**
 * Template part for displaying single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ftech
 */
$categories = get_the_category();
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-details-content mb-50'); ?>>
    <div class="blog-details-item">
        <div class="blog_single-thumb">
            <?php if (has_post_thumbnail()) { ?>
                <?php the_post_thumbnail('full') ?>
            <?php } ?>
        </div>
        <div class="meta-data">
            <span class="ftc-pr-font name"><i class="flaticon-businessman flaticon"></i> <?php esc_html_e('By', 'ftech'); ?> <?php the_author();?></span>
            <span class="ftc-pr-font name"><i class="flaticon-conversation flaticon"></i> <?php echo esc_attr(get_comments_number()); ?>
                    <?php esc_html_e('comments', 'ftech'); ?></span>
            <span class="ftc-pr-font name"><i class="flaticon-calendar flaticon"></i> <?php echo date(get_option('date_format')); ?></span>
        </div>
        <h3 class="ftc-heading-1 title"><?php the_title();?></h3>
        <div class="ftc-para-1">
            <?php
            the_content(
                sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'ftech'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post(get_the_title())
                )
            );

            wp_link_pages(
                array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'ftech'),
                    'after' => '</div>',
                )
            );
            ?>
        </div>
    </div>
    <div class="blog-details-social">
        <?php if (function_exists('ftech_entry_footer')): ?>
        <div class="blog-details-tag-cont">
            <h5 class="ftc-heading-1 blog-details-social-title"><?php esc_html_e('Tag:', 'ftech');?></h5>
            <div class="blog-details-tag-wrap">
                <?php ftech_entry_footer();?>
            </div>
        </div>
        <?php endif;?>
        <?php if (function_exists('ftech_post_share')): ?>
        <div class="blog-details-social-share">
            <?php ftech_post_share();?>
        </div>
        <?php endif;?>
    </div>
    <div class="blog-details-form">
        <?php if (comments_open() || get_comments_number()):
            comments_template();
        endif;?>
    </div>
</div>